require 'shape'
--vars--
local screenWidth, screenHeight = love.graphics.getDimensions()
local backgroundColor = {55,90,110,255 }
local playerShape
-- -- --

function love.load()
  love.graphics.setNewFont(15)
  love.graphics.setBackgroundColor(backgroundColor)
  playerShape = shape.makeNewShape(100,screenHeight-50,50,50)
end

function love.update(dt)
  playerShape:update(dt)
end

function love.draw()
  playerShape:draw()

  love.graphics.print("Keys: w,a,s,d to aim the jump",20,20)
  love.graphics.print("Spacebar to jump:",20,60)
end

function love.keypressed(key)
  if "escape" == key then love.event.quit() end
end